This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 590141 - Setting up Logical Volume Management: Couldn't find device with uuid
Setting up Logical Volume Management: Couldn't find device with uuid
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-07 15:59 EDT by Dave Gordon
Modified: 2010-12-23 09:59 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 09:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Gordon 2010-05-07 15:59:59 EDT
Description of problem: 
Setting up Logical Volume Management:   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Refusing activation of partial LV lv_root. Use --partial to override.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Refusing activation of partial LV lv_home. Use --partial to override.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  1 logical volume(s) in volume group "vg_tokyo" now active
  device-mapper: create ioctl failed: Device or resource busy
  2 logical volume(s) in volume group "vg_tokyo" now active
	[FAILED]

Version-Release number of selected component (if applicable):


How reproducible:
Every Boot

Steps to Reproduce:
1. Just Boot into a multi-disk LVM Device array
2.
3.
  
Actual results:
Setting up Logical Volume Management:   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Refusing activation of partial LV lv_root. Use --partial to override.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  Refusing activation of partial LV lv_home. Use --partial to override.
  Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
  1 logical volume(s) in volume group "vg_tokyo" now active
  device-mapper: create ioctl failed: Device or resource busy
  2 logical volume(s) in volume group "vg_tokyo" now active
	[FAILED]
Checking filesystems
/dev/mapper/vg_tokyo-lv_root: clean, 255485/3276800 files, 2216782/13107200 blocks
/dev/sda1: clean, 40/128016 files, 63058/512000 blocks
/dev/mapper/vg_tokyo-lv_home: clean, 4405/57098240 files, 6607525/228376576 blocks
	[  OK  ]
Remounting root filesystem in read-write mode:  	[  OK  ]

Expected results:
Setting up Logical Volume Management:                   [  OK  ]

Additional info:
Main problem is the damn boot message is there after every boot which just makes Rawhide look Buggy
Comment 1 Peter Rajnoha 2010-05-10 05:42:19 EDT
Can you see these messages during initrd stage too (i.e. before the "dracut: Switching root" ... "Welcome to Fedora" message" that is at boot)?

Try to look for lines beginning with "dracut: Scanning devices ... for LVM volume groups".
Comment 2 Dave Gordon 2010-05-11 05:34:38 EDT
(In reply to comment #0)
> Description of problem: 
> Setting up Logical Volume Management:   Couldn't find device with uuid
> '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Refusing activation of partial LV lv_root. Use --partial to override.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Refusing activation of partial LV lv_home. Use --partial to override.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   1 logical volume(s) in volume group "vg_tokyo" now active
>   device-mapper: create ioctl failed: Device or resource busy
>   2 logical volume(s) in volume group "vg_tokyo" now active
>  [FAILED]
> 
> Version-Release number of selected component (if applicable):
> 
> 
> How reproducible:
> Every Boot
> 
> Steps to Reproduce:
> 1. Just Boot into a multi-disk LVM Device array
> 2.
> 3.
> 
> Actual results:
> Setting up Logical Volume Management:   Couldn't find device with uuid
> '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Refusing activation of partial LV lv_root. Use --partial to override.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   Refusing activation of partial LV lv_home. Use --partial to override.
>   Couldn't find device with uuid '7Ngubx-bhn6-FUfP-Po9z-cpNg-HdN0-FSf4vA'.
>   1 logical volume(s) in volume group "vg_tokyo" now active
>   device-mapper: create ioctl failed: Device or resource busy
>   2 logical volume(s) in volume group "vg_tokyo" now active
>  [FAILED]
> Checking filesystems
> /dev/mapper/vg_tokyo-lv_root: clean, 255485/3276800 files, 2216782/13107200
> blocks
> /dev/sda1: clean, 40/128016 files, 63058/512000 blocks
> /dev/mapper/vg_tokyo-lv_home: clean, 4405/57098240 files, 6607525/228376576
> blocks
>  [  OK  ]
> Remounting root filesystem in read-write mode:   [  OK  ]
> 
> Expected results:
> Setting up Logical Volume Management:                   [  OK  ]
> 
> Additional info:
> Main problem is the damn boot message is there after every boot which just
> makes Rawhide look Buggy    

No - Just go those messages - as you can see it successfully mounted on the (Remounting root filesystem stage)
Comment 3 Milan Broz 2010-06-23 11:44:58 EDT
Is it still problem with recent rawhide?
Comment 4 Bug Zapper 2010-07-30 07:34:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Milan Broz 2010-12-23 09:59:31 EST
No response for needinfo for months, closing.
Please reopen if you see that again and have more info here, thanks.

Note You need to log in before you can comment on or make changes to this bug.